v3.9.99996 (May 25th 2018)
  - Fixed some Add-on integrations.
  - Added some Add-on integrations.
  - Changed streaming methods to increase speed on low power devices.

v3.9.99995 (April 29th 2018)
  - Version bump.

v3.9.99994 (April 28th 2018)
  - Fixed some Add-on integrations.

v3.9.99993 (April 5th 2018)
  - Fixed some Add-on integrations.

v3.9.99992 (March 5th 2018)
  - Minor code changes.

v3.9.99991 (March 5th 2018)
  - Minor code changes.

v3.9.9999 (February 12th 2018)
  - Minor code changes.

v3.9.9998 (February 11th 2018)
  - Fixed false login error message.
  - Re-applied previous speed fixes that were removed.

v3.9.9997 (January 19th 2018)
  - Added new Add-on integrations.

v3.9.9996 (Janusary 18th 2018)
  - Fix for speed issues on some platforms.
  - Changes to how server connections are made.
  - Added new Add-on integrations.
  - Minor code changes.

v3.9.9995 (December 17th 2017)
  - Fixes for some TV Catchup services.
  - Changed logging to help performance on some platforms.
  - Minor code changes.

v3.9.9994 (November 28th 2017)
  - Removed some old dependencies.
  - Removed some Add-on logs that may affect performance.

v3.9.9993 (November 18th 2017)
  - Added new Add-on integrations.

v3.9.9992 (November 16th 2017)
  - Change to login code.
  - Change to reset channels code.

v3.9.9991 (October 25th 2017)
  - Minor code changes.

v3.9.999 (October 24th 2017)
  - Better handling of addon errors.

v3.9.998 (October 17th 2017)
  - Improved login routines.
  - New 'Upload Log' code that does not require Kodi degugging to be turned on.
  - Better handling of addon errors.

v3.9.997 (October 14th 2017)
  - Improved login routines.
  - New Reset Listings code.

v3.9.996 (October 8th 2017)
  - General Add-on maintenace fixes.

v3.9.995 (October 7th 2017)
  - General Add-on maintenace fixes.

v3.9.994 (October 5th 2017)
  - Initial login fixes.

v3.9.993 (September 25th 2017)
  - Added PiP fix to the Home Page Settings.
  - Removed Add-on name from stream selection dialog.
  - Added new Add-on integrations.

v3.9.992 (August 30th 2017)
  - Added Timeshift Reset option to the Add-on Settings.

v3.9.991 (August 3rd 2017)
  - Minor bug fixes.
  - New Add-on integrations.

v3.9.99 (August 2nd 2017)
  - Fixed TV Catchup for some addons.
  - Integrated some new addons.
  - Changed X-Tream codes integration.
  - Changed Listings Reset code.

v3.9.98 (July 20th 2017)
  - New channel update method added.

v3.9.97 (July 17th 2017)
  - Reset All channels now keeps all customisations. Only linked streams are reset.
  - iPlayer WWW now plays all regional channels.
  - Fixed minor Add-on/TVCatchup integration errors.

v3.9.96 (July 16th 2017)
  - Fixed bug in Search. 
    Catchup will be offered as an option on previously aired programmes.
  - Added new addons to built-in TV Catchup.
  - Added new or updated addon integrations.
  - Fixed Home Page Addon shortcuts.
    All available addons now show in the addable list.
  - Standardised version numbers of Home Page and TV Guide addons.

v3.9.94 (June 18th 2017)
  - Minor bug fixes.

v3.9.93 (June 15th 2017)
  - Tweaked TV Catchup code.
  - Catchup now works even with multiple addons linked to a channel.

v3.9.92 (June 12th 2017)
  - Tweaked TV Catchup code to fix timezone issues.

v3.9.91 (June 11th 2017)
  - Fixed built-in TV Catch-up for some Addons.
  - Added new Addon intergrations.

v3.9.9 (June 7th 2017)
  - Improved handling of incorrect username or password entered in the settings.
  - Added fix for PiP 'Black Screen' issue to Maintenance section of the Add-on Settings.

v3.9.87 (May 16th 2017)
  - Fixied a minor Mini-Guide issue.
  - Edited built-in TV Catchup code.

v3.9.87 (Apr 30th 2017)
  - New Addon integrations.

v3.9.86 (Apr 17th 2017)
  - Added Search feature in the EPG.
  - Improved listings update code to stop errors.
  - Better progress dialogs on fresh installs.
  - New Addon integrations.
  - Fixed Addon integrations.
  - Various minor code changes.

v3.9.85 (Mar 24th 2017)
  - Streams now continue to play after OTTV is quit.
  - New Addon integrations.
  - New Addon Settings Layout.
  - Various minor code changes.

v3.9.84 (Mar 5th 2017)
  - Edited channel mapping code.

v3.9.83 (Mar 5th 2017)
  - Added built-in TV Catch-up service for Flawless IPTV.

v3.9.82 (Mar 3rd 2017)
  - Fix for IPTV Service not creating a line-up correctly.
  - Fixed some addon integrations.

v3.9.81 (Feb 27th 2017)
  - Added new addon integrations.
  - Fixed some Kodi v17 (Krypton) issues.
  - Fixed skin error.
  - Moved channel mapping online.

v3.9.8 (Jan 30th 2017)
  - Added Reminders feature.
  - Added new addon integrations.
  - Fixed some addon integrations.
  - Improved channel mapping.

v3.9.7 (Jan 9th 2017)
  - Fixed some addon integrations.

v3.9.6 (Dec 30th 2016)
  - Possible fix for streams suddenly stopping after a short time.

v3.9.5 (Dec 29th 2016)
  - Added new addon integrations.
  - Fixed some addon integrations.
  - Various bug fixes.

v3.9.4 (Dec 22nd 2016)
  - New: Create Channel Line-up from IPTV Settings.
  - New: Reset Channels now allows individual channel resets.
  - Adjusted user login and addon integration routines to run less often.
  - Adjusted channel mapping code.
  - Fixed some addon integrations.
  - Various code changes.

v3.9.4 (Dec 22nd 2016)
  - New: Create Channel Line-up from IPTV Settings.
  - New: Reset Channels now allows individual channel resets.
  - Adjusted user login and addon integration routines to run less often.
  - Adjusted channel mapping code.
  - Fixed some addon integrations.
  - Various code changes.

v3.9.3 (Dec 8th 2016)
  - Bugfix: Channel update system now works with user defined channel folders.
  - Optimised some addon integrations.
  - Minor code changes.

v3.9.2 (Dec 7th 2016)
  - Added new channel update system.
  - Updated channel mapping code.
  - Added more addon integrations.
  - Changed Reset All script.
  - Fixed minor script errors.

v3.9.1 (Nov 30th 2016)
  - Added caching for some addon links.
  - Updated channel mapping code.
  - Fixed display issue with pvr:// and http:// links.
  - Fixed minor script errors.

v3.9.0 (Nov 27th 2016)
  - Fixed backwards compatibility for some channel line-ups.

v3.8.9 (Nov 27th 2016)
  - Fixed some addon integrations.

v3.8.8 (Nov 27th 2016)
  - Fixed some addon integrations.

v3.8.7 (Nov 26th 2016)
  - Completed Playlist Loader settings.
  - Added 'Update EPG data now' to the settings (downloads latest listings database).
  - Changed login method.
  - Update channel mappings.
  - Fixed some addon integrations.

v3.8.6 (Nov 22nd 2016)
  - Bugfix for error on startup.

v3.8.5 (Nov 22nd 2016)
  - Playlists are now cached to speed up loading times.
  - Fixed IPTV Playlist error where 'Add more...' failed to work if no setting was entered.
  - Fixed legacy IPTV Playlist code so old method still works.
  - Added better channel label mapping for IPTV Playlists. Still needs more tweaking.

v3.8.4 (Nov 20th 2016)
  - Added beta test of new IPTV Playlist feature.
  - EPG extra info (Current Channel Line-up/Currently Watching) is now a setting that can be turned on/off.
  - Fixed Built-in TV Catchup issue if multiple addons are linked to a channel.
  - Some minor bug fixes for ini file creation.

v3.8.3 (Nov 17th 2016)
  - Added "Currently Watching" label to the EPG.
  - Changed how background ini files are created. Only done at Kodi boot.
  - Improved ini file channel name mapping method.
  - Varous Add-on integration fixes.
  - Added new Add-on integrations.

v3.8.2 (Oct 30th 2016)
  - Addon integration fix.

v3.8.1 (Oct 30th 2016)
  - Minor bugfix.

v3.8.0 (Oct 30th 2016)
  - Addon integration fix for flawless tv.

v3.7.9 (Oct 28th 2016)
  - Changed repo name.

v3.7.8 (Oct 28th 2016)
  - Speed improvements for some add-on integrations.
  - Minor code edits.

v3.7.7 (Oct 23rd 2016)
  - Added new add-on integrations.
    Over The Top TV
    Flawless IPTV

v3.7.6 (Oct 20th 2016)
  - Fixes or changes to some add-on integrations.
  - Tweaked how streams are triggered. Speed increase.
  - Minor code edits.

v3.7.5 (Oct 16th 2016)
  - Minor change to startup script. The wrong line-ups list was being displayed.

v3.7.4 (Oct 10th 2016)
  - Fix for SmartHub integration. May need further tweaks.
  - Fix for Ruya playback.
  - Fix for Dexter message incorrectly showing.


v3.7.3 (Oct 8th 2016)
  - Added support for the followng add-ons including TV Catch-up via the EPG.
    SmartHub, Streamseasy.TV, Liux.TV
  - Added Spinz-TV Pro support.
  - Improved DexterPro support with faster load times.
  - Fixed NTV.mx integration.
  - Fixed FilmOn UK links.

v3.7.2 (Sep 25th 2016)
  - Minor bugfix.

v3.7.1 (Sep 25th 2016)
  - Enhanced the new Multi-Stream Channels system.
    Enable 'Always Offer To Choose Stream' to use this feature.
  - Added Freeview Add-on integration. Visit www.tvaddons.ag for info.
  - Fixed Clu IPTV integration.


v3.7.0 (Sep 21st 2016)
  - Added new system for managing multiple stream urls for a channel.
  - Made slight change to 'Choose/Remove Stream' to add and remove from a list of installed addons.
  - Fixed IPTV Subs integration.
  - Added Reboot add-on integration.
  - Numerous other code edits.

v3.6.9 (Sep 2nd 2016)
  - Fix for server security changes.

v3.6.8 (Sep 2nd 2016)
  - Interim update in preparation for new features.

v3.6.7 (Sep 1st 2016)
  - Interim update in preparation for new features.

v3.6.6 (Aug 28th 2016)
  - Fixed some Add-on integrations.

v3.6.5 (Aug 18th 2016)
  - Added 'Single Active Category Mode' in the settings.
      Allows auto-switching between categories.

  - Updated ini file creation code.
  - Added further Add-on integrations.

v3.6.4 (Aug 10th 2016)
  - Added more 3rd party add-on integrations.
  - Reworked ini file creation code.

v3.6.3 (July 31st 2016)
  - Channel line-ups can now be installed on first run of OTTV.
  - Reworked user login code.

v3.6.2 (July 22nd 2016)
  - Fixed system messages code.

v3.6.1 (July 22nd 2016)
  - Added a version checker to the settings.

v3.6.0 (July 21st 2016)
  - New add-on startup process.

v3.5.9 (July 20th 2016)
  - Changed add-on startup process.

v3.5.8 (July 8th 2016)
  - Changed add-on settings layout.

v3.5.7 (July 7th 2016)
  - Changed addon xml to remove TV Scraper information.
  - Changed Hot-Key scripts to stop certain buttons/keys being used.
  - Further changes to Mini-Guide code.

v3.5.6 (July 2nd 2016)
  - Fixed skin error.

v3.5.5 (July 2nd 2016)
  - Added support for Meta add-on and MetalliQ add-on.
  - Further tweaks to EPG refreshing.
  - Fixed other add-on integrations.

v3.5.4 (June 22nd 2016)
  - Playback fix for Kodi v17 (Krypton).
  - EPG no longer redraws itself when stopping a stream.

v3.5.3 (June 19th 2016)
  - Fixed small bug in log uploader that caused a script error.
  - Fixed some 3rd part add-on integrations.

v3.5.2 (June 18th 2016)
  - Tweaked startup script for faster loading times.
  - Removed 'Restore Channels' from the settings.

v3.5.1 (June 18th 2016)
  - Tweaked startup script for faster loading times.
  - Changed log uploader to use the pastebin website.
  - Fix for Apple TV.
  - Fixed some keymap glitches. Regular OSD controls now work in 'Catch Up' mode.
  - Added new add-on integrations.

v3.5.0 (June-08-16)
  - New, Add to Favourite Category feature.
  - Added setting to change Favourite Category name.
  - Improved/fixed how some Live TV add-ons are triggered.
  - Fixed other add-on integrations.

v3.4.9 (June-01-16)
  - Fixed Catch-up feature. Now fully working.
  - Fixed other add-on integrations.

v3.4.8 (May-27-16)
  - Possible fix for speed issue in mini-guide code.

v3.4.7 (May-13-16)
  - Changed Catch-up TV methods. More error checking and better notifications.
  - Changed file browsing method for Windows.
  - Fixed some 3rd part add-on integrations.

v3.4.6 (May-07-16)
  - Fixed backup/restore on Windows.
  - Fixed iPlayerWWW Live Radio links.
  - Fixed some 3rd part add-on integrations.

v3.4.5 (May-07-16)
  - Added Edit Categories feature.
  - Added Download Line-ups feature.
  - Added Back-up + Restore section.
  - Categories use channel id for internal reference.

v3.4.4 (May-02-16)
- Fixed some 3rd party add-on integrations.
- Change to boot-up order.
- Minor code edits.

v3.4.3 (Apr-24-16)
- Fixed minor errors in last update.

v3.4.2 (Apr-23-16)
- Mini-Guide now extends to show program descriptions for later programs.
- Catchup now works in any timezone.
- Fixed Film-On TV Catchup.
- Fixed trigger for SkyGo plugin.

v3.4.1 (Apr-13-16)
- Added iSearch to all channels when clicking a previously aired program in the EPG.
- Added built-in support for TV Catch Up for some 3rd party add-ons.
- EPG now shows which add-on is linked to a channel.

v3.4.0 (Mar-24-16)
- Categories are now selectable from inside the EPG.
- Added iSearch (Super Favourites) to the EPG context menu.
- Mini-Guide now shows listings for cloned channels.
- Fixed: Mini-Guide/EPG remembers last channel watched. 
- Fixed: Some 3rd party addons showing extra dialogs after steam starts.

v3.3.8 (Mar-16-16)
- Minor code tweak.

v3.3.7 (Mar-16-16)
- Bug fixed where addon support files fail to load.

v3.3.6 (Mar-15-16)
- Reworked code for various Video Add-on integrations.

v3.3.5 (Mar-14-16)
- Minor bugfix.

v3.3.4 (Mar-12-16)
- Mini-Guide:
  - Hot-key is now a toggle (press once to open/close)
  - Pressing BACK/DELETE/ESC now quits the mini-guide.
  - Added PAGE UP/DOWN functionality. Channels will jump 10 at a time in the mini-guide.

- Added HDHomeRun support.
- PVR links now show under Add-ons and not Favourites.
- Added toggle Full-screen Video hot-key.
- Better handling of some loading errors. Addon will attempt to reset itself.
- Added further integration of new addons.
- Improved HDTV integration.
- Fixed Touch Screen glitches.
- New Settings window layout. Added extra tab for hot-key setup/reset.


v3.3.3 (Feb-28-16)
- Added more IPTV support.
- Minor code maintenance.

v3.3.2 (Feb-26-16)
- Fixed custom logos issue where the user logo was not kept.
- Moved resources to a new domain. Which fixes:
  Rare networking/install script errors.
  'Live Update' script errors for logos and skins.

v3.3.1 (Feb-19-16)
- Possible fix for rare networking/install errors.
- Fixed logo-pack loading on clean install or after channel reset.
- Fixed some stream trigger errors.
- Added more IPTV support.

v3.3.0 (Feb-01-16)
- Fix for HDTV error.

v3.2.9 (Jan-31-16)
- Changed 'Reset Addon' script.
- Exception added to catch possible login time error.

v3.2.8 (Jan-22-16)
- Added support for BBC iPlayer live TV channels.
- Bugfix for the 'Reset Programme Listings' setting.

v3.2.7 (Jan-20-16)
- Mini-Guide bugfix.

v3.2.6 (Jan-15-16)
- Alternate stream fix.

v3.2.5 (Jan-15-16)
- Minor bugfix.

v3.2.4 (Jan-11-16)
- Improved IPTV code.
- Fixed HDTV code to deal with certain errors (extra spaces in channel name).
- Various code tidying up.

v3.2.3 (Jan-04-16)
- Bugfix.

v3.2.2 (Jan-03-16)
- Various code changes.
- Added colour highlight when a channel is selected to indicate stream is triggering.
- Faster loading of EPG.
- Faster triggering of some addons.
- Added 'Reset Hot key' to settings.
- Changed colour of Kodi PVR and Kodi Favourite icons.

v3.2.1 (12-21-15)
- Added support for full Kodi PVR integration. 
- Matching PVR channels auto-detected.
- Any available PVR channels will show in 'Choose Stream' under 'Favourites'.
- Added support for Ruya and HDTV plugins.

v3.2.0 (12-05-15)
- Added programmable HotKey to activate Mini-Guide globally in Kodi.

v3.1.9 (11-28-15)
- Fixed Mini-guide error.

v3.1.8 (11-28-15)
- Fixed possible EPG crash on some systems.
- Various cleaning up of code.

v3.1.7 (11-24-15)
- Improved reading of online IPTV playlists.

v3.1.6 (11-23-15)
- Fix for EPG display scrolling passed 1st channel in the list.

v3.1.5 (11-11-15)
- Fix for clean install and Add-on reset scripts.

v3.1.4 (11-09-15)
- EPG and Mini-Guide move focus to last channel watched when re-opened.
- Implemented Super Favourites 'Auto-Play' feature.
  Set a Super Folder to 'auto-play' and streams will be tried in order until one plays.
- Major improvement to how streams are detected automatically.
  Auto-detect:
  Super Favourites Folders
  Kodi Favourites
  IPTV Playlist Items
- Removed busy dialog to fix Super Favourites links not working.
- Fixed Back-up/Restore script.

v3.1.3 (11-06-15)
- Minor bugfix for busy dialog when triggering streams.

v3.1.2 (11-06-15)
- Minor Bugfix.

v3.1.1 (11-05-15)
- Added NOW/NEXT/LATER to channel surfing.
- Added global Kodi 'Mini-Guide' context menu - Kodi Isengard(15.x) only.
- Added 'Mini-Guide' plugin to Super Favourites Global Menu.
- Put back busy dialog when triggering a stream.
- Removed the 'Buggalo' exception module. (3 Red Buttons of Death)
- General overhaul of all code.

v3.1.0 (10-16-15)
- Added channel surfing.
- Added server/client functionality (share a master setup over a home network).
- Added 'Reset System Messages' to the settings. Forces last message to show again.
- Fixed triggering of some HLS streams.
- Moved location of settings backup file to help stop lost settings after a Kodi crash.
- Various code changes.

v3.0.2 (08-23-15)
- Fixed Add-on ID bug to allow uninstall.

v3.0 (08-22-15)
- Upgrade to On-Tapp.TV 3.0

v2.7.2 (08-21-15)
- Code updates in readiness for 3.0 upgrade.

v2.7.1 (08-10-15)
- Updated default logopack.
- Added White logopack.
- Minor code changes.

v2.7.0 (07-23-15)
- Updated default logopack.
- Minor code changes.

v2.6.9 (07-12-15)
- Updated default logopack.
- Improved clean install process.
- Improved messaging system.
- Added user/pass verification to the main settings window.
- Tidied up settings windows.

v2.6.8 (06-11-15)
- Script Error fix.

v2.6.7 (06-10-15)
- Bugfix for Kodi 15 Beta (Isengard).

v2.6.6 (06-06-15)
- Improved Touch Screen support.
- Page Up/Down now works properly in 'Channels' (EPG Context Menu).

v2.6.5 (05-17-15)
- Added built-in intergration with the UKTV Play addon.
- Minor fixes to Logo Pack handling (Back-up on updates).

v2.6.4 (05-12-15)
- Improved external .ini file integration.
- Automatic channel selection now includes partial 'channel name' matches.
- Logo Packs are now backed-up automatically.
- Updated skins (Thanks to FXB78).
- Minor code changes.

v2.6.3 (05-01-15)
- Fixed incorrect error message that occurs when the channels fail to load. The incorrect message has been changed to a more meaningful one.

v2.6.2 (04-28-15)
- Minor code changes.

v2.6.1 (04-28-15)
- Bug fix for channels menu in the EPG context menu.
- Improved code for Restore Channels feature.

v2.6.0 (04-27-15)
- Bug fix for custom channel settings being reset.
- Added Restore Channels feature.

v2.5.9 (04-22-15)
- Temporary bug fix for custom channel settings being reset.
- Minor code fixes.

2.5.8 (04-19-15)
- Improved ini file integration. Load multiple ini files from any location.
- Fix for Backup/Restore using Windows.
- Minor code fixes.

v2.5.7 (04-10-15)
- Improved initial setup method. Keyboard entry for username and password.
- Minor code fixes.

v2.5.6 (04-07-15)
- Improved listings download routine.
- Minor changes to login method.
- Minor code fixes.

v2.5.5 (03-10-15)
- Fix for Upload Log feature.

v2.5.4 (03-03-15)
- Fix for Backup/Restore feature.
- Updated Eminence Skin.

v2.5.3 (02-22-15)
- Added new live messaging system.
- Updated FXB 3.0 Skin. New 'Exit Menu' button in EPG context menu.
- Added new Eminence skin.
- Logo pack now installs by default.
- Changed message displayed when subscription expires.
- Bug fix for some errors when loading cookies.
- Various code improvements.

v2.5.2 (02-02-15)
- Updated addon to use new secure urls and changed the payment gateway.
- No PayPal accoount needed. All credit/debit cards accepted.

v2.5.1 (01-28-15)
- Option to warn before qutting Add-on.
- Added 'Close Menu' button to EPG Context Menu.
- Updated logos.
- Debug mode for error tracking.
- Internet connection check at Kodi/XBMC startup.
- Updated Login routines.
- Minor bug fixes.

v2.5.0 (01-14-15)
- Bugfix for error in Choose Stream.

v2.4.9 (01-12-15)
- Added IPTV Playlist back to the add-on. Choose a local or online .m3u file in Add-on Settings.
- Fixed timebar issue. It will now keep up-to-date even if the add-on is left idle for extended periods.

v2.4.8 (01-10-15)
- Film-On - Record, Catch-up and Watch Live options in the EPG.
- Improved back-up and restore feature.

v2.4.7 (01-09-15)
- Fix for Film-On script error.

v2.4.6 (01-07-15)
- Fix for USA Film-On recordings.
- New 'Debug' mode added to the Add-on settings.

v2.4.5 (01-04-15)
- New F.T.V setting to choose between UKTV links or Non-Geolocked UKTV links.

v2.4.4 (12-30-14)
- Bug fix for the add-on backup/restore feature when using Windows.

v2.4.3 (12-22-14)
- Final player.py fix.

v2.4.2 (12-21-14)
- Bug fix for player.py.

v2.4.1 (12-21-14)
- TVCatchup via the EPG added using FilmOn.

v2.4.0 (12-13-14)
- FilmOn recording fix.

v2.3.9 (11-28-14)
- Recordings can now be set and watched via the EPG. F.T.V Add-on is required.
- Fixed Super Favourites issue with activating channels in the EPG.

v2.3.8 (11-16-14)
- Fixed script error in addon.py.

v2.3.7 (11-16-14)
- Descriptions for MyChannels, 24/7, Radio and Android channels can now be customised.
- Updated code to be Kodi (Helix Beta) compatible.
- General tidying up of code.

v2.3.6 (11-02-14)
- Fixed built-in iPlayer button.

v2.3.5 (10-10-14)
- Added feature to clone channels with listings.
- Added HBO and Showtime to the USA East category.
- Added possible Advanced Launcher fix.

v2.3.4 (10-04-14)
- Added feature to create user defined channels.
- Categories now list alphabetically.

v2.3.3 (09-25-14)
- Super Favourites added to 'Choose Stream' menu.
- Fix for 24/7 links in Cliq! add-on.

v2.3.2 (09-17-14)
- Reverted Super Favourites code back to 2.3.0.

v2.3.1 (09-17-14)
- Updated FXB 3.0 skin. Now the default skin.
- Updated dependencies.
- Added new Super Favourites code.

v2.3.0 (09-10-14)
- Imporved Touch Screen Support.
- Added built-in button for On-Tapp.TV Tools.
- Fixed issue with some XBMC(Kodi) Favourites giving a script error when triggered.

v2.2.9 (09-03-14)
- Imporved Super Favourites integration.
- Improved handling of program database updates.

v2.2.8 (08-31-14)
- Moving addon data folder to other devices should now work.
- Fix for user settings being lost on some devices.
- Single streams added to Super Favourites now trigger automatically.

v2.2.7 (08-26-14)
- Fix for some 3rd party add-ons not streaming correctly.

v2.2.6 (08-25-14)
- Improved Super Favourites integration.
- Manual channel edits are now saved. Still experimental.

v2.2.5 (08-21-14)
- Speed improvement for lower powered devices.

v2.2.4 (08-19-14)
- Fix for some addons not triggering properly.

v2.2.3 (08-18-14)
- Fix for logos not loading in some situations.

v2.2.1 (08-13-14)
- Small bug fix.
- Added a full reset option to the add-on settings.

v2.2.0 (08-11-14)
- Full update from beta version

